str_diffn(3)

NAME
str_diffn - compare two ASCIIZ strings

SYNTAX
#include <libowfat/str.h>

int str_diffn(const char* a,const char* b,size_t limit);

DESCRIPTION
str_diffn returns negative, 0, or positive, depending on whether the string a[0], a[1], ..., a[n]=='\0' is lexicographically smaller than, equal to, or greater than the string b[0], b[1], ..., b[m-1]=='\0'.

If the strings are different, str_diffn does not read bytes past the first difference. The strings will be considered equal if the first limit characters match.

SEE ALSO
strlen(3)